This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 441128 - [a11y][fix available] Impress crashes
[a11y][fix available] Impress crashes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: David Tardon
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-06 11:40 EDT by Alexander Todorov
Modified: 2009-01-20 21:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 21:21:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
debug information from the crash (5.05 KB, text/plain)
2008-04-06 11:40 EDT, Alexander Todorov
no flags Details
mapped stack (4.84 KB, text/plain)
2008-04-07 03:42 EDT, Caolan McNamara
no flags Details
sample presentation that used to crash Impress (1.89 MB, application/octet-stream)
2008-04-07 10:45 EDT, Alexander Todorov
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 75421 None None None Never
OpenOffice.org 78260 None None None Never
OpenOffice.org 88002 None None None Never
OpenOffice.org 88033 None None None Never

  None (edit)
Description Alexander Todorov 2008-04-06 11:40:29 EDT
Description of problem:
ooimpress crashes while I'm editing a presentation. Usually happens when trying
to move items around the screen or selecting something from the menu.

Version-Release number of selected component (if applicable):
openoffice.org-impress-2.3.0-6.4.el5

How reproducible:
100% (not very consistent with a sample file)

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Crash

Expected results:
No crash

Additional info:
I can provide the faulty file. It's a presentation for OLPC.
Looks similar to bug #203439. Here's the console output:

** (soffice:18828): WARNING **: Exception in getAccessibleName()

** (soffice:18828): WARNING **: Exception in getAccessibleName()

** (soffice:18828): WARNING **: Invalidate all children called


** (soffice:18828): CRITICAL **: AtkObject* atk_object_wrapper_ref(const
com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible>&,
bool): assertion `rxAccessible.get() != NULL' failed

** (soffice:18828): CRITICAL **: AtkObject* atk_object_wrapper_ref(const
com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible>&,
bool): assertion `rxAccessible.get() != NULL' failed

** (soffice:18828): CRITICAL **: AtkObject* atk_object_wrapper_ref(const
com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible>&,
bool): assertion `rxAccessible.get() != NULL' failed

** (soffice:18828): WARNING **: Invalidate all children called


** (soffice:18828): CRITICAL **: AtkObject* atk_object_wrapper_ref(const
com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible>&,
bool): assertion `rxAccessible.get() != NULL' failed

** (soffice:18828): CRITICAL **: AtkObject* atk_object_wrapper_ref(const
com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible>&,
bool): assertion `rxAccessible.get() != NULL' failed

** (soffice:18828): CRITICAL **: AtkObject* atk_object_wrapper_ref(const
com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible>&,
bool): assertion `rxAccessible.get() != NULL' failed

** (soffice:18828): WARNING **: Invalidate all children called


** (soffice:18828): WARNING **: Invalidate all children called
Comment 1 Alexander Todorov 2008-04-06 11:40:29 EDT
Created attachment 301431 [details]
debug information from the crash
Comment 2 Caolan McNamara 2008-04-07 03:33:26 EDT
FWIW these are accessibility messages, so you will very likely find that your
crash goes away (and your entire desktop is faster) if you disable a11y unless
you actually need it, with system->preferences->personal->assistive technologies
Comment 3 Caolan McNamara 2008-04-07 03:42:20 EDT
Created attachment 301477 [details]
mapped stack
Comment 4 Caolan McNamara 2008-04-07 06:22:43 EDT
Fix for the first problem I can reproduce at
http://www.openoffice.org/issues/show_bug.cgi?id=88002 but that's probably not
the final crasher
Comment 5 Caolan McNamara 2008-04-07 09:50:42 EDT
These are notoriously difficult to track down. So can you 

a) attach the sample presentation, 
b) and perhaps describe how you "move items around the screen", are you speaking
of dragging slides around the slide sorter on the left panel, or dragging shapes
around a slide. 
c) Do you edit when in the "normal" tab, or in e.g. the "outline tab"
Comment 6 Alexander Todorov 2008-04-07 10:45:08 EDT
Created attachment 301530 [details]
sample presentation that used to crash Impress
Comment 7 Alexander Todorov 2008-04-07 10:49:09 EDT
(In reply to comment #5)
> These are notoriously difficult to track down. So can you 
> 
> a) attach the sample presentation, 

in comment #6

> b) and perhaps describe how you "move items around the screen", are you speaking
> of dragging slides around the slide sorter on the left panel, or dragging shapes
> around a slide. 
Hmm. trying today doesn't seem to crash anymore. I remember seeing a bug where
OOo will conflict with a previous .openoffice.org2.0 directory from a RHEL 5.1
install. I've deleted this directory and was using Imress after that but it was
still crashing. Will try to reproduce cleanly but here's what I've been doing:

Click a text element and edit it. Then focus to some graphics and move it. Or
without saving select the text and change font/size. 


> c) Do you edit when in the "normal" tab, or in e.g. the "outline tab"

Yes, "normal" tab
Comment 8 Alexander Todorov 2008-04-07 11:12:45 EDT
Detailed steps to reproduce with the attached file in comment #6:

1) start Impress from a terminal: ooimpress sample.odp
2) at the "Slides" section scroll down with the mouse to slide 26
3) Click with the mouse on slide 26 so it appears in the main window/Normal tab
4) Click with the mouse right after "sugar-activity". The entire text box
becomes selected and editable. 
5) From the bottom to the top drag the mouse to select the text. Select part of
the "sugar-install-bundle" text. Mine selection is:
install-bundle ...
..................
... sugar-activity
6) Press Del key on the keyboard to delete the selected text
7) Press Ctrl+Z on the keyboard to Undo the deletion. 
8) Wait for a second and the traceback appears.

Additional info:
The text is in Cyrillic with font Nimbus Sans L/size 18
The text "sugar-install-bundle Pong-2.xo" and "sugar-activity" is commands that
are executed in terminal and is with font Courier 10 Pitch/size 18.

Delete and Undo of text that is situated in a single bullet item works. Also
works when delete/undo with text situated in two bullets. 
Problem seems to happen only when delete/undo the above selection.
Comment 9 Caolan McNamara 2008-04-08 04:22:13 EDT
Thanks, that's perfectly reproducible, most excellent. Exists in the very latest
OOo versions too. Fix checked into rawhide and logged upstream.
Comment 10 RHEL Product and Program Management 2008-06-02 16:09:54 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 Caolan McNamara 2008-07-15 05:02:07 EDT
fix checked in, will be in >= 2.3.0-6.7
Comment 15 errata-xmlrpc 2009-01-20 21:21:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0121.html

Note You need to log in before you can comment on or make changes to this bug.